/*---------------------------------------------------------------------------

   Swyx Solutions GmbH
   Joseph-von-Fraunhofer-Str. 13a
   44227 Dortmund

  ---------------------------------------------------------------------------

  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
  PURPOSE.

  Copyright (C) 2003 Swyx Solutions GmbH.

  All Rights Reserved.

  ---------------------------------------------------------------------------

     Project:   Swyx Client SDK

      Module:   
 
    Comments:   definition of public client line manager interface

  ---------------------------------------------------------------------------

   $Archive:: /phone client/OfficeIntegration.root/ODialer.root/CLMgrPubTy $
    $Author:: Bruessler                                                    $
      $Date:: 10.03.03 13:08                                               $
   $Modtime:: 10.03.03 13:04                                               $
  $Revision:: 3                                                            $
  $Workfile:: CLMgrPubTypes.c                                              $
$NoKeywords: $
----------------------------------------------------------------------------*/




#ifdef __cplusplus
extern "C"{
#endif 


#ifndef __IID_DEFINED__
#define __IID_DEFINED__

typedef struct _IID
{
    unsigned long x;
    unsigned short s1;
    unsigned short s2;
    unsigned char  c[8];
} IID;

#endif // __IID_DEFINED__

#ifndef CLSID_DEFINED
#define CLSID_DEFINED
typedef IID CLSID;
#endif // CLSID_DEFINED


const CLSID CLSID_SClPBX = {0xf8e55292,0x4c00,0x11d3,{0x80,0xbc,0x00,0x10,0x5a,0x65,0x33,0x79}};
const IID LIBID_CLMGRLib = {0xf8e552f7,0x4c00,0x11d3,{0x80,0xbc,0x00,0x10,0x5a,0x65,0x33,0x79}};
const IID DIID_IClientLineMgrEventsDisp = {0xf8e55365,0x4c00,0x11d3,{0x80,0xbc,0x00,0x10,0x5a,0x65,0x33,0x79}};
const CLSID CLSID_ClientLineMgr = {0xf8e552f8,0x4c00,0x11d3,{0x80,0xbc,0x00,0x10,0x5a,0x65,0x33,0x79}};


#ifdef __cplusplus
}
#endif

